%define upstream_name    Crypt-Simple
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Encrypt stuff simply
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(FreezeThaw)
BuildRequires: perl(MIME::Base64)
BuildArch: noarch


%{?perl_default_filter}

%description
Maybe you have a web application and you need to store some session data at
the client side (in a cookie or hidden form fields) but you don't want the
user to be able to mess with the data. Maybe you want to save secret
information to a text file. Maybe you have better ideas of what to do with
encrypted stuff!

This little module will convert all your data into nice base64 text that
you can save in a text file, send in an email, store in a cookie or web
page, or bounce around the Net. The data you encrypt can be as simple or as
complicated as you like.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.60.0-14.mga10
+ Revision: 2207651
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.60.0-13.mga9
+ Revision: 1817054
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-12.mga8
+ Revision: 1493623
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-11.mga7
+ Revision: 1266811
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-10.mga6
+ Revision: 1024656
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.60.0-9.mga6
+ Revision: 937641
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.60.0-8.mga6
+ Revision: 937188
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-7.mga5
+ Revision: 740133
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.60.0-6.mga5
+ Revision: 733003
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 684069
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-4.mga4
+ Revision: 510340
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-3.mga3
+ Revision: 364971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.60.0-2.mga1
+ Revision: 33658
- mageia rebuild
- imported package perl-Crypt-Simple


* Tue Nov 23 2010 Jani Välimaa <wally@mandriva.org> 0.60.0-2mdv2011.0
+ Revision: 600258
- rebuild for latest perl

* Sun Jul 18 2010 Jani Välimaa <wally@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 554807
- import perl-Crypt-Simple


* Sun May 23 2010 cpan2dist 0.06-1mdv
- initial mdv release, generated with cpan2dist
